import { getColor } from "@/module/common-methords/GetColor";
import { setBrushSize, setTextStyle } from "@/module/common-methords/SetBrushSize";
declare const _default: {
    name: string;
    components: {};
    props: {
        imageList: {
            type: ArrayConstructor;
            default: () => never[];
        };
    };
    setup(props: any, context: any): {
        canvasStatus: import("vue").Ref<boolean>;
        screenShortWidth: import("vue").Ref<number>;
        screenShortHeight: import("vue").Ref<number>;
        screenShortController: import("vue").Ref<HTMLCanvasElement | null>;
        textInputController: import("vue").Ref<HTMLDivElement | null>;
        imgOrigController: import("vue").Ref<HTMLImageElement | null>;
        toolStatus: import("vue").Ref<boolean>;
        toolController: import("vue").Ref<HTMLDivElement | null>;
        textStatus: import("vue").Ref<boolean>;
        undoStatus: import("vue").Ref<boolean>;
        optionStatus: import("vue").Ref<boolean>;
        currentName: import("vue").Ref<string>;
        optionIcoPosition: import("vue").Ref<number>;
        penSize: import("vue").Ref<number>;
        textSize: import("vue").Ref<number>;
        textBold: import("vue").Ref<boolean>;
        textItalic: import("vue").Ref<boolean>;
        selectedColor: import("vue").Ref<string>;
        toolbar: {
            id: number;
            title: string;
        }[];
        toolLeft: import("vue").Ref<number>;
        toolTop: import("vue").Ref<number>;
        imgPosition: import("vue").Ref<{
            multiples: number;
            deg: number;
            endX: number;
            endY: number;
            isMove: boolean;
            startX: number;
            startY: number;
            moveX: number;
            moveY: number;
        }>;
        toolClickEvent: (toolName: string, index: number) => void;
        imgOptEvent: (value: string, e: {
            buttons: any;
            clientX: number;
            clientY: number;
        }) => void;
        resetComponent: () => void;
        getColor: typeof getColor;
        setBrushSize: typeof setBrushSize;
        setTextStyle: typeof setTextStyle;
        imgData: {
            isSelectAll: boolean;
            currentImgUrl: string;
            imgList: {
                url: string;
                currentImg: boolean;
                isChecked: boolean;
            }[];
        };
        selectAllImgFun: (val: {
            target: {
                checked: boolean;
            };
        }) => void;
        selectCurImgFun: (val: number) => void;
        checkImgFun: (val: {
            target: {
                checked: boolean;
            };
        }, numb: number) => void;
        deleteImgFun: () => void;
        handleOk: () => void;
    };
    emits: {
        "destroy-component": (status: boolean) => boolean;
        "get-image-data": (base64: string) => boolean;
        "edit-img-list": (editImgList: any) => boolean;
    };
};
export default _default;
