import { SetupContext } from "@vue/runtime-core";
export default class EventMonitoring {
    private readonly data;
    private emit;
    private screenShortController;
    private toolController;
    private screenShortImageController;
    private screenShortCanvas;
    private textInputController;
    private imgOrigController;
    private readonly videoController;
    private drawGraphPosition;
    private tempGraphPosition;
    private cutOutBoxBorderArr;
    private borderSize;
    private borderOption;
    private movePosition;
    private dragging;
    private draggingTrim;
    private dragFlag;
    private drawGraphPrevX;
    private drawGraphPrevY;
    private toolName;
    private fontSize;
    private fontBold;
    private fontItalic;
    private undoClickNum;
    private maxUndoNum;
    private degreeOfBlur;
    private history;
    private textInputPosition;
    constructor(props: Record<string, any>, context: SetupContext<any>);
    initCapture: () => Promise<void>;
    captureClickEvent: () => void;
    private mouseDownEvent;
    private mouseMoveEvent;
    private mouseUpEvent;
    /**
     * 操作裁剪框
     * @param currentX 裁剪框当前x轴坐标
     * @param currentY 裁剪框当前y轴坐标
     * @param startX 鼠标x轴坐标
     * @param startY 鼠标y轴坐标
     * @param width 裁剪框宽度
     * @param height 裁剪框高度
     * @param context 需要进行绘制的canvas画布
     * @private
     */
    private operatingCutOutBox;
    /**
     * 裁剪框工具栏点击事件
     * @param toolName
     * @param index
     * @param mouseEvent
     */
    toolClickEvent: (toolName: string, index: number) => void;
    /**
     * 保存当前画布状态
     * @private
     */
    private addHistory;
    /**
     * 显示最新的画布状态
     * @private
     */
    private showLastHistory;
    /**
     * 取出一条历史记录
     */
    private takeOutHistory;
    /**
     * 重置组件
     */
    resetComponent: () => void;
    /**
     * 将指定区域的canvas转为图片
     * @private
     */
    private getCanvasImgData;
    /**
     * img的放大缩小旋转移动操作
     */
    imgOptEvent: (value: string, e: {
        buttons: any;
        clientX: number;
        clientY: number;
    }) => void;
}
