import { ComponentInternalInstance } from "vue";
import { positionInfoType, imgOperationType } from "@/module/type/ComponentType";
export default class InitData {
    constructor();
    getInitStatus(): boolean;
    setInitStatus(status: boolean): void;
    getCanvasStatus(): import("vue").Ref<boolean>;
    setCanvasStatus(status: boolean): void;
    getScreenShortWidth(): import("vue").Ref<number>;
    getScreenShortHeight(): import("vue").Ref<number>;
    setScreenShortInfo(width: number, height: number): void;
    getToolStatus(): import("vue").Ref<boolean>;
    setToolStatus(status: boolean): void;
    getTextStatus(): import("vue").Ref<boolean>;
    setTextStatus(status: boolean): void;
    getScreenShortImageController(): HTMLCanvasElement | null;
    setScreenShortImageController(imageController: HTMLCanvasElement): void;
    getToolLeft(): import("vue").Ref<number>;
    getToolTop(): import("vue").Ref<number>;
    setToolInfo(left: number, top: number): void;
    getToolClickStatus(): import("vue").Ref<boolean>;
    setToolClickStatus(status: boolean): void;
    getCutOutBoxPosition(): positionInfoType;
    setCutOutBoxPosition(mouseX: number, mouseY: number, width: number, height: number): void;
    getImgPosition(): import("vue").Ref<{
        multiples: number;
        deg: number;
        endX: number;
        endY: number;
        isMove: boolean;
        startX: number;
        startY: number;
        moveX: number;
        moveY: number;
    }>;
    setImgPosition(data: imgOperationType): void;
    getCaptureState(): import("vue").Ref<boolean>;
    setCaptureState(status: boolean): void;
    getUndoStatus(): import("vue").Ref<boolean>;
    setUndoStatus(status: boolean): void;
    getOptionStatus(): import("vue").Ref<boolean>;
    setOptionStatus(status: boolean): void;
    getOptionIcoPosition(): import("vue").Ref<number>;
    setOptionIcoPosition(position: number): void;
    getSelectedColor(): import("vue").Ref<string>;
    setSelectedColor(color: string): void;
    getToolName(): import("vue").Ref<string>;
    setToolName(itemName: string): void;
    getPenSize(): import("vue").Ref<number>;
    setPenSize(size: number): void;
    getTextBold(): import("vue").Ref<boolean>;
    setTextBold(size: boolean): void;
    getTextItalic(): import("vue").Ref<boolean>;
    setTextItalic(size: boolean): void;
    getTextSize(): import("vue").Ref<number>;
    setTextSize(size: number): void;
    getScreenShortController(): import("vue").Ref<HTMLCanvasElement | null>;
    getToolController(): import("vue").Ref<HTMLDivElement | null>;
    getTextInputController(): import("vue").Ref<HTMLDivElement | null>;
    getImgOrigController(): import("vue").Ref<HTMLImageElement | null>;
    /**
     * 设置父组件传递的数据
     * @param emitParam
     */
    setPropsData(emitParam: (event: string, ...args: any[]) => void): void;
    /**
     * 设置实例属性
     * @param instanceParam
     */
    setProperty(instanceParam: ComponentInternalInstance | null): void;
    getCurrentInstance(): ComponentInternalInstance | null | undefined;
    getEmit(): ((event: string, ...args: any[]) => void) | undefined;
}
